hls-test-utils-2.9.0.0: Utilities used in the tests of Haskell Language Server

Safe Haskell | None
Language | GHC2021

Development.IDE.Test.Diagnostic

Synopsis

- type Cursor = (UInt, UInt)
- cursorPosition :: Cursor -> Position
- type ErrorMsg = String
- requireDiagnostic :: (Foldable f, Show (f Diagnostic), HasCallStack) => f Diagnostic -> (DiagnosticSeverity, Cursor, Text, Maybe DiagnosticTag) -> Maybe ErrorMsg
- standardizeQuotes :: Text -> Text

# Documentation

type Cursor = (UInt, UInt) #

(0-based line number, 0-based column number)

cursorPosition :: Cursor -> Position #

type ErrorMsg = String #

requireDiagnostic :: (Foldable f, Show (f Diagnostic), HasCallStack) => f Diagnostic -> (DiagnosticSeverity, Cursor, Text, Maybe DiagnosticTag) -> Maybe ErrorMsg #

standardizeQuotes :: Text -> Text #